<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 2/22/16
 * Time: 9:25 PM
 */

namespace Luticate\Utils\Dbo;


use Luticate\Utils\LuBusiness;
use Luticate\Utils\LuDbo;

class LuFloatDbo extends LuDbo
{
    /**
     * @var float
     */
    private $_value;

    /**
     * @return float
     */
    public function getFloat()
    {
        return $this->_value;
    }

    /**
     * @param float $value
     */
    public function setFloat($value)
    {
        $this->_value = $value;
    }

    function jsonSerialize()
    {
        return $this->_value;
    }

    public static function jsonDeserialize($json)
    {
        if (!is_numeric($json)) {
            throw new LuDboDeserializeException("Invalid float value");
        }
        $val = new self();
        $val->setFloat(floatval($json));
        return $val;
    }

    public static function generateSample()
    {
        return 42.42;
    }
}